org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcTableMeta

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.odbc.OdbcTableMeta

    public class OdbcTableMeta
    extends Object

ODBC table-related metadata.

### Constructor Summary

Constructors
Constructor and Description
`OdbcTableMeta(String catalog, String schema, String table, String tableType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`void` `writeBinary(BinaryRawWriterEx writer)` Write in a binary format.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OdbcTableMeta

    public OdbcTableMeta(String catalog,
                         String schema,
                         String table,
                         String tableType)

Parameters:
  `catalog` - Catalog name.
  `schema` - Schema name.
  `table` - Table name.
  `tableType` - Table type.

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### writeBinary

    public void writeBinary(BinaryRawWriterEx writer)

Write in a binary format.

Parameters:
  `writer` - Binary writer.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020